---
search:
  tags:
    - Products
    - POST
seo:
  description: >-
    Prepare the native bundle… Reference for the POST
    /v1/organizations/{orgId}/products/{productId}/bundle-import endpoint in the
    Stashtab Vault Warehouse API.
sidebar:
  label: Prepare the native bundle component import
  badge: POST
title: Prepare the native bundle component import
type: openapi-operation
---
`POST /v1/organizations/{orgId}/products/{productId}/bundle-import`

**Request body** (`application/json`, required)

- `expectedRevision` (string, required)
- `components` (object[], required)

Request body example:

```json
{
  "expectedRevision": "string",
  "components": [
    {
      "productId": "string",
      "quantity": 1
    }
  ]
}
```

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "content": "string",
    "filename": "string",
    "verified": false
  },
  "meta": {
    "requestId": "string"
  }
}
```
